package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckItems;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface CheckItemsService extends IService<CheckItems> {

    List<Map> getCheckItemsForReport(String checkPlanId,String epc,String checkResult);

    List<CheckItems> queryItems(BigInteger checkPlanId, String epc);

    List<Map> getNoN(Integer checkPlanId,String[] epcList);
}

